Package com.google.javascript.jscomp.jsonml

# Class Reader

java.lang.Object
com.google.javascript.jscomp.jsonml.Reader

public class Reader extends Object
Traverse JsonML source tree and generates AST.

## Constructor Summary

Constructors
Constructor
Description
`Reader()`

## Method Summary

Modifier and Type
Method
Description
`Node`
`parse(AbstractCompiler compiler)`
Generates AST for a specified JsonML source file.
`void`
`setRootElement(JsonML rootElement)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Reader

public Reader()

## Method Details

### setRootElement

public void setRootElement(JsonML rootElement)

### parse

public Node parse(AbstractCompiler compiler) throws com.google.javascript.jscomp.jsonml.JsonMLException
Generates AST for a specified JsonML source file.

Returns:
  root node of the generated AST
Throws:
  `com.google.javascript.jscomp.jsonml.JsonMLException` - if an error occurs